package com.caochenlei.service.impl;

import com.caochenlei.entity.Product;
import com.caochenlei.service.ProductService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.*;

/**
 * 商品实现是一个伪实现，不与数据库进行交互
 */
@Service
@Transactional
public class ProductServiceImpl implements ProductService {
    private Map<Integer, Product> productMap;

    public ProductServiceImpl() {
        productMap = new HashMap<>();
        productMap.put(1, new Product(1, "小米手机", 1999.0, 100));
        productMap.put(2, new Product(2, "华为手机", 2999.0, 200));
        productMap.put(3, new Product(3, "苹果手机", 3999.0, 300));
    }

    @Override
    public void save(Product product) {
        int size = productMap.size();
        int id = ++size;
        product.setId(id);
        productMap.put(id, product);
    }

    @Override
    public List<Product> findAll() {
        Collection<Product> products = productMap.values();
        return new ArrayList<>(products);
    }
}