<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="security" uri="http://www.springframework.org/security/tags" %>
<!doctype>
<html>
<head>
    <meta charset="utf-8">
    <title>权限管理系统</title>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/bootstrap.min.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/main.css">
</head>
<body>
<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
    <a class="navbar-brand col-md-3 col-lg-2 mr-0 px-3" href="#">
        权限管理系统，欢迎：
        <span class="hidden-xs">
            <security:authentication property="principal.username" />
        </span>
    </a>

    <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
            <form action="${pageContext.request.contextPath}/logout" method="post">
                <security:csrfInput/>
                <input class="btn btn-danger btn-sm" type="submit" value="退出">
            </form>
        </li>
    </ul>
</nav>

<div class="container-fluid">
    <div class="row">
        <nav class="col-md-3 col-lg-2 bg-light sidebar">
            <div class="sidebar-sticky pt-3">
                <ul class="nav flex-column">
                    <security:authorize access="hasAnyRole('ROLE_ADMIN','ROLE_PRODUCT')">
                    <li class="nav-item border-bottom">
                        <p><a href="#">产品管理</a></p>
                        <ul>
                            <li><a href="/product/add" target="container">添加产品</a></li>
                            <li><a href="/product/findAll" target="container">产品列表</a></li>
                        </ul>
                    </li>
                    </security:authorize>

                    <security:authorize access="hasAnyRole('ROLE_ADMIN','ROLE_ORDER')">
                    <li class="nav-item border-bottom">
                        <p><a href="#">订单管理</a></p>
                        <ul>
                            <li><a href="/order/add" target="container">添加订单</a></li>
                            <li><a href="/order/findAll" target="container">订单列表</a></li>
                        </ul>
                    </li>
                    </security:authorize>

                    <%--只有拥有系统管理员角色的用户才能够添加用户、修改角色--%>
                    <security:authorize access="hasAnyRole('ROLE_ADMIN')">
                    <li class="nav-item border-bottom">
                        <p><a href="#">用户管理</a></p>
                        <ul>
                            <li><a href="/user/add" target="container">添加用户</a></li>
                            <li><a href="/user/findAll" target="container">用户列表</a></li>
                        </ul>
                    </li>
                    <li class="nav-item border-bottom">
                        <p><a href="#">角色管理</a></p>
                        <ul>
                            <li><a href="/role/add" target="container">添加角色</a></li>
                            <li><a href="/role/findAll" target="container">角色列表</a></li>
                        </ul>
                    </li>
                    </security:authorize>
                </ul>
            </div>
        </nav>

        <main class="col-md-9 ml-sm-auto col-lg-10 px-md-4">
            <iframe name="container" width="100%" height="800px" frameborder="0" target="_parent"/>
        </main>
    </div>
</div>
<script src="${pageContext.request.contextPath}/js/jquery-3.5.1.min.js"></script>
<script src="${pageContext.request.contextPath}/js/bootstrap.bundle.min.js"></script>
</body>
</html>