<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="security" uri="http://www.springframework.org/security/tags" %>
<html>
<head>
    <title>拥有角色</title>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/bootstrap.min.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/main.css">
</head>
<body>
<h3 class="pt-3 pb-3">拥有角色</h3>
<form action="${pageContext.request.contextPath}/user/addRolesToUser" method="post">
    <security:csrfInput/>
    <input type="hidden" name="uid" value="${uid}">
    <table class="table table-striped table-sm">
        <tr>
            <th>#</th>
            <th>角色编号</th>
            <th>角色名称</th>
            <th>角色描述</th>
        </tr>
        <c:forEach var="sysRole" items="${allRoles}">
            <tr>
                <c:choose>
                    <c:when test="${fn:contains(hasRoles,sysRole.id)}">
                        <td><input type="checkbox" name="rids" value="${sysRole.id}" checked></td>
                    </c:when>
                    <c:otherwise>
                        <td><input type="checkbox" name="rids" value="${sysRole.id}"></td>
                    </c:otherwise>
                </c:choose>
                <td>${sysRole.id}</td>
                <td>${sysRole.name}</td>
                <td>${sysRole.desc}</td>
            </tr>
        </c:forEach>
        <tr>
            <th><input class="btn btn-success btn-sm" type="submit" value="保存"></th>
        </tr>
    </table>
</form>
<script src="${pageContext.request.contextPath}/js/jquery-3.5.1.min.js"></script>
<script src="${pageContext.request.contextPath}/js/bootstrap.bundle.min.js"></script>
</body>
</html>